SELECT
villagebusiness.businessno AS `ลำดับที่`,
house.hno AS 'บ้านที่ตั้ง',
village.villno AS `หมู่ที่`,
villagebusiness.businessname AS `ชื่อสถานประกอบการ`,
cbusiness.businessdesc AS `ประเภท`,
CASE WHEN villagebusiness.foodanddrink = 0 THEN 'ไม่ขาย'
WHEN villagebusiness.foodanddrink = 1 THEN 'ขาย'
WHEN villagebusiness.foodanddrink = 9 THEN 'ไม่ทราบ' ELSE NULL END AS `อาหารสด`,
CASE WHEN villagebusiness.freshmart = 0 THEN 'ไม่ขาย'
WHEN villagebusiness.freshmart = 1 THEN 'ขาย'
WHEN villagebusiness.freshmart = 9 THEN 'ไม่ทราบ' ELSE NULL END AS `อาหารสำเร็จ`,
CASE WHEN villagebusiness.alchoholpermit = '0' THEN 'ไม่ขาย'
WHEN villagebusiness.alchoholpermit = 'c' THEN 'บุหรี่'
WHEN villagebusiness.alchoholpermit = 'w' THEN 'เครื่องดื่มมีแอลกอฮอล์'
WHEN villagebusiness.alchoholpermit = '2' THEN 'บุหรี่และเครื่องดื่มมีแอลกอฮอล์'
WHEN villagebusiness.alchoholpermit = '9' THEN 'ไม่ทราบ' ELSE NULL END AS `ขายบุหรี่/เครื่องดื่มมีแอลกอฮอล`,
villagebusiness5venomdetail.datesurvey AS 'วันที่ตรวจ',
cfreshfood5venom.sname AS 'ตัวอย่างอาหารที่ตรวจ',
CASE WHEN villagebusiness5venomdetail.venom01 = 0 THEN 'ไม่พบ'
WHEN villagebusiness5venomdetail.venom01 = 1 THEN 'พบ'
WHEN villagebusiness5venomdetail.venom01 = 8 THEN 'ไม่ตรวจ' ELSE NULL END AS 'สารกันรา',
CASE WHEN villagebusiness5venomdetail.venom02 = 0 THEN 'ไม่พบ'
WHEN villagebusiness5venomdetail.venom02 = 1 THEN 'พบ'
WHEN villagebusiness5venomdetail.venom02 = 8 THEN 'ไม่ตรวจ' ELSE NULL END AS 'บอแรกซ์',
CASE WHEN villagebusiness5venomdetail.venom03 = 0 THEN 'ไม่พบ'
WHEN villagebusiness5venomdetail.venom03 = 1 THEN 'พบ'
WHEN villagebusiness5venomdetail.venom03 = 8 THEN 'ไม่ตรวจ' ELSE NULL END AS 'สารฟอกขาว',
CASE WHEN villagebusiness5venomdetail.venom04 = 0 THEN 'ไม่พบ'
WHEN villagebusiness5venomdetail.venom04 = 1 THEN 'พบ'
WHEN villagebusiness5venomdetail.venom04 = 8 THEN 'ไม่ตรวจ' ELSE NULL END AS 'ฟอร์มารีน',
CASE WHEN villagebusiness5venomdetail.venom05 = 0 THEN 'ไม่พบ'
WHEN villagebusiness5venomdetail.venom05 = 1 THEN 'พบ'
WHEN villagebusiness5venomdetail.venom05 = 8 THEN 'ไม่ตรวจ' ELSE NULL END AS 'สารเร่งเนื้อแดง',
CASE WHEN villagebusiness5venomdetail.venom06 = 0 THEN 'ไม่พบ'
WHEN villagebusiness5venomdetail.venom06 = 1 THEN 'พบ'
WHEN villagebusiness5venomdetail.venom06 = 8 THEN 'ไม่ตรวจ' ELSE NULL END AS 'ยาฆ่าแมลง'
FROM
villagebusiness
left JOIN cbusiness ON villagebusiness.businesstype = cbusiness.businesstypecode
INNER JOIN village ON villagebusiness.villcode = village.villcode
left JOIN villagebusiness5venomdetail ON villagebusiness5venomdetail.villcode = villagebusiness.villcode AND villagebusiness5venomdetail.businessno = villagebusiness.businessno
left JOIN cfreshfood5venom ON villagebusiness5venomdetail.freshfood = cfreshfood5venom.scode
left JOIN house ON villagebusiness.hcodebusines = house.hcode